package com.qmth.boot.core.security.annotation;

import java.lang.annotation.*;

/**
 * 自定义权限配置
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
@Documented
public @interface Permission {

    /**
     * 允许的数据范围
     *
     * @return
     */
    Class clazz();

}
