package com.qmth.boot.api.constant;

import com.qmth.boot.core.constant.CoreConstant;

public interface ApiConstant {

    String DEFAULT_URI_PREFIX = "/api";

    String DEFAULT_ERROR_URI = "/error";

    String CONFIG_PREFIX = CoreConstant.CONFIG_PREFIX + ".api";

    String CONFIG_METRICS_ENDPOINT = "metrics-endpoint";

    String IP_UNKNOWN = "unknown";

    String IP_LOCAL_MACHINE = "0:0:0:0:0:0:0:1";

    String IP_LOCALHOST = "127.0.0.1";

    String HEADER_PLATFORM = "platform";

    String HEADER_DEVICE_ID = "deviceId";

    String HEADER_TIME = "time";

    String HEADER_AUTHORIZATION = "authorization";

    String HEADER_TRACE_ID = "traceId";

    String ATTRIBUTE_AAC_CONFIG = "aacConfig";

    /**
     * 默认对象名称即将废弃
     */
    @Deprecated
    String ATTRIBUTE_ACCESS_ENTITY = "accessEntity";

    String ATTRIBUTE_START_TIME = "startTime";

    String ATTRIBUTE_TRACE_ID = "traceId";

    String ATTRIBUTE_CALLER = "caller";

}
