package com.qmth.boot.core.rateLimit.service;

import com.qmth.boot.core.rateLimit.entity.RateLimitRule;

/**
 * 动态获取限流规则扩展接口
 */
public interface RateLimitPolicy {

    /**
     * 根据API地址动态获取限流规则
     *
     * @param endpoint
     * @return
     */
    RateLimitRule[] getRules(String endpoint);

}
